- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#body.BatchCreateEntitySignalsMappingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#body.aspect)
- [CreateEntitySignalsMappingRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#CreateEntitySignalsMappingRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#CreateEntitySignalsMappingRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#try-it)

Creates `EntitySignalsMapping` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/entitySignalsMappings:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `EntitySignalsMappings` will be created. Format: `networks/{networkCode}` The parent field in the CreateEntitySignalsMappingRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#CreateEntitySignalsMappingRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchCreate#CreateEntitySignalsMappingRequest`)`` Required. The `EntitySignalsMapping` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `entitySignalsMappings.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entitySignalsMappings": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings#EntitySignalsMapping`) } ] } ``` |

| Fields ||
|---|---|
| `entitySignalsMappings[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings#EntitySignalsMapping`)`` The `EntitySignalsMapping` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateEntitySignalsMappingRequest

Request object for `entitySignalsMappings.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "entitySignalsMapping": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings#EntitySignalsMapping`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this EntitySignalsMapping will be created. Format: `networks/{networkCode}` |
| `entitySignalsMapping` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings#EntitySignalsMapping`)`` Required. The EntitySignalsMapping object to create. |